package com.gh.gamecenter.energy.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.ITimeUtilProvider

@Route(path = RouteConsts.provider.timeUtil, name = "TimeUtil暴露服务")
class TimeUtilProviderImpl : ITimeUtilProvider {

    override fun currentTimeMillis() = System.currentTimeMillis()

    override fun currentTime() = (System.currentTimeMillis() / 1000).toInt()

    override fun init(context: Context?) {
        // Do nothing
    }
}